#include <iostream>
#include<string.h>
using namespace std;
int main() {
    long int K;
    cin >> K;
    string S;
    cin >> S;
    if (K>=S.size()){
        cout << S << endl;
    }
    else{
            for (int i=0; i<K; i++){
                cout << S[i];
            }
        cout << "..." << endl;
    }
}